/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.entity.Workattachment;

import java.util.Date;
import java.util.List;

/**
 * 依据性资料Entity
 * @author 杨帆
 * @version 2018-06-05
 */
public class ProjectBasedData extends DataEntity<ProjectBasedData> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private String name;		// 资料名称
	private String number;		// 资料编号
	private String type;		// 资料类别
	private String provider;		// 资料提供者
	private Date provideDate;		// 提供日期
	private ProjectRecords project;		// 项目id
	private String uploadEnvironment;		// 上传环节
	private User uploadUser;		// 上传人
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date uploadDate;		// 上传日期
	private List<Workattachment> workAttachments;
	private Date startDate;
	private Date endDate;
    private String typeLabel;

	public ProjectBasedData() {
		super();
	}

	public ProjectBasedData(String id){
		super(id);
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getProvider() {
		return provider;
	}

	public void setProvider(String provider) {
		this.provider = provider;
	}

	public ProjectRecords getProject() {
		return project;
	}

	public void setProject(ProjectRecords project) {
		this.project = project;
	}

	public String getUploadEnvironment() {
		return uploadEnvironment;
	}

	public void setUploadEnvironment(String uploadEnvironment) {
		this.uploadEnvironment = uploadEnvironment;
	}

	public User getUploadUser() {
		return uploadUser;
	}

	public void setUploadUser(User uploadUser) {
		this.uploadUser = uploadUser;
	}

	public Date getProvideDate() {
		return provideDate;
	}

	public void setProvideDate(Date provideDate) {
		this.provideDate = provideDate;
	}

	public Date getUploadDate() {
		return uploadDate;
	}

	public void setUploadDate(Date uploadDate) {
		this.uploadDate = uploadDate;
	}

	public List<Workattachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<Workattachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

    public String getTypeLabel() {
        return typeLabel;
    }

    public void setTypeLabel(String typeLabel) {
        this.typeLabel = typeLabel;
    }
}